﻿using System.Windows;
using System.Windows.Data;
using System.Windows.Input;
using Infragistics.Windows;
using Infragistics.Windows.DataPresenter;
using Infragistics.Windows.Themes;

namespace DeleteRecordFieldApp
{
	public class DeleteRecordField : Field
	{
		public DeleteRecordField()
		{
			Label = string.Empty;
			BindingType = BindingType.Unbound;
			IsEnabledInAddRecord = false;

			Settings = new FieldSettings()
			{
				AllowResize = false,
				AllowGroupBy = false,
				AllowRecordFiltering = false,
				AllowSummaries = false,
				CellWidth = 20,
				LabelWidth = 20,
				CellValuePresenterStyle = this.GetCellValuePresenterStyle()
			};
		}

		//private void DeleteRecord(object sender, MouseButtonEventArgs e)
		//{
		//	// Force the record to become selected if it is not, so that DataPresenterCommand is fired
		//	DataRecordPresenter recordPresenter = Utilities.GetAncestorFromType(sender as DependencyObject, typeof(DataRecordPresenter), false) as DataRecordPresenter;
		//	recordPresenter.Record.IsSelected = true;

		//	if (recordPresenter.DataPresenter is XamDataGrid grid)
		//	{
		//		grid.ExecuteCommand(DataPresenterCommands.DeleteSelectedDataRecords);
		//	}
		//}

		public Style GetCellValuePresenterStyle()
		{
			Style style = Application.Current.Resources["DeleteButtonStyle"] as Style;
			return style;
		}
	}
}
